High-Level Data Reduction Library: hdrl_radii

High-Level Data Reduction Library 1.6.0 High-Level data reduction routines for ESO pipelines

Loading...
Searching...
No Matches
Functions
hdrl_radii
Catalogue

Work out the fluxes for special radii. More...

Collaboration diagram for hdrl_radii:

## Functions
double | hdrl_halflight (double rcores[], double cflux[], double halflight, double peak, cpl_size naper)
| Work out the half-light radius for an object.
double | hdrl_exprad (double thresh, double peak, double areal0, double rcores[], cpl_size naper)
| Work out the exponential radius for an object.
double | hdrl_kronrad (double areal0, double rcores[], double cflux[], cpl_size naper)
| Work out the Kron radius for an object.
double | hdrl_petrad (double areal0, double rcores[], double cflux[], cpl_size naper)
| Work out the Petrosian radius for an object.
void | hdrl_flux (ap_t *ap, double parm[IMNUM][NPAR], cpl_size nbit, double apers[], double fluxes[], cpl_size nr, double rcores[], double rfluxes[])
| Work out the fluxes for special radii.

## Detailed Description

Work out the fluxes for special radii.

## Function Documentation

## ◆ hdrl_exprad()

double hdrl_exprad | ( | double | thresh,
|  | double | peak,
|  | double | areal0,
|  | double | rcores[],
|  | cpl_size | naper
| ) |  |

Work out the exponential radius for an object.

Parameters

  thresh | The detection threshold
  peak | The peak flux of the object
  areal0 | The lowest level areal profile for the object
  rcores | The list of aperture radii used
  naper | The number of radii used

Returns
  The exponential radius of the object

Description: Given the detection threshold, peak flux and lowest areal profile, work out the exponential radius for an object

## ◆ hdrl_flux()

void hdrl_flux | ( | ap_t * | ap,
|  | double | parm[IMNUM][NPAR],
|  | cpl_size | nbit,
|  | double | apers[],
|  | double | fluxes[],
|  | cpl_size | nr,
|  | double | rcores[],
|  | double | rfluxes[]
| ) |  |

Work out the fluxes for special radii.

Parameters

  ap | The current ap structure
  parm | The parameters for each object already detected
  nbit | The number of detected objects in the current Plessey structure.
  apers | The radii of the standard apertures
  fluxes | The fluxes computed through the standard apertures
  nr | The number of special apertures
  rcores | The radii the special apertures
  rfluxes | The fluxes computed through the special apertures.

Description: The fluxes for the 'special' radii (Kron etc) are worked out by an interpolation of the pre-existing aperture photometry to the new radius.

## ◆ hdrl_halflight()

double hdrl_halflight | ( | double | rcores[],
|  | double | cflux[],
|  | double | halflight,
|  | double | peak,
|  | cpl_size | naper
| ) |  |

Work out the half-light radius for an object.

Parameters

  rcores | The list of aperture radii used
  cflux | The list of fluxes through the aperture radii
  halflight | An estimate of half the light of the object
  peak | The peak flux of the object
  naper | The number of radii used

Returns
  The half-light radius of the object

Description: Given the the array of core apertures and core fluxes, work out the half light radius

## ◆ hdrl_kronrad()

double hdrl_kronrad | ( | double | areal0,
|  | double | rcores[],
|  | double | cflux[],
|  | cpl_size | naper
| ) |  |

Work out the Kron radius for an object.

Parameters

  areal0 | The lowest level areal profile for the object
  rcores | The list of aperture radii used
  cflux | The aperture fluxes for each radius
  naper | The number of radii used

Returns
  The Kron radius of the object

Description: Given the lowest areal profile and the circular aperture fluxes already done, calculate the Kron radius

## ◆ hdrl_petrad()

double hdrl_petrad | ( | double | areal0,
|  | double | rcores[],
|  | double | cflux[],
|  | cpl_size | naper
| ) |  |

Work out the Petrosian radius for an object.

Parameters

  areal0 | The lowest level areal profile for the object
  rcores | The list of aperture radii used
  cflux | The aperture fluxes for each radius
  naper | The number of radii used

Returns
  The Petrosian radius of the object

Description: Given the lowest areal profile and the circular aperture fluxes already done, calculate the Petrosian radius